<div class="container formulario " ui-view>
	<div class="row">
		<form name="formDadosUsuario">
			<div class="wrapper">
				<div class="container">

					<h2>{{'userpage.hello' | translate }} {{usuarioLogado.nome}}</h2>

					<hr />

					<div class="row">
						<div class="col-xs-12" ng-init="tab= 1">
							<ul class="nav nav-pills nav-justified thumbnail">
								<li ng-class="{'active':tab == 0}" ng-click="tab = 0"><a>
										<h4 class="list-group-item-heading">Meus Anuncios</h4>
										<p class="list-group-item-text">Gerencie seus anúncios</p>
								</a></li>
								<li ng-class="{'active':tab == 1}" ng-click="tab = 1"><a>
										<h4 class="list-group-item-heading">
											Propostas <i ng-if="page.pendencias.solicitacoesOrcamento > 0 || page.pendencias.solicitacoesServico > 0 || page.pendencias.respostasOrcamento > 0 || page.pendencias.respostaServicosAceitos > 0" class="fa fa-bell piscar"></i>
										</h4>
										<p class="list-group-item-text">Propostas de negócio</p>
								</a></li>
								<li ng-class="{'active':tab == 2}" ng-click="tab = 2"><a>
										<h4 class="list-group-item-heading">Meus Dados</h4>
										<p class="list-group-item-text">Gerencie seus Dados</p>
								</a></li>
							</ul>
						</div>
					</div>


					<div ng-show="tab == 0">
						<div class="row">
							<button type="button" class="btnLaranja" id="btnLogout" ui-sref="userPage.novoAnuncio({})">Quero criar um anúncio</button>
						</div>

						<div ng-if="page.meusAnuncios.length > 0">
							<hr />
							<h3>Meus Anúncios</h3>

							<div class="text-center">

								<div class="row">
									<div class="col-lg-4 col-md-6 col-sm-10 pb-4 d-block m-auto" style="padding: 5px;" ng-repeat="anuncio in page.meusAnuncios">
										<div class="cardAnuncio" style="box-shadow: 0px 0px 30px -7px rgba(0, 0, 0, 0.29);">
											<!-- Indicator of subscription type -->
											<div class="pt-4 pb-3" style="letter-spacing: 2px">
												<h4>{{anuncio.titulo}}</h4>
											</div>
											<!-- Price class -->
											<div class="pricing-price pb-1 text-primary colorAzulServant">
												<h1 style="font-weight: 1000; font-size: 2.5em;">{{anuncio.ocupacao}}</h1>
											</div>
											<!-- Perks of said subscription -->
											<div class="pricing-description">
												<ul class="list-unstyled mt-3 mb-4">
													<li class="pl-3 pr-3"><b>Data de criação:</b> {{anuncio.dataCadastro | date: 'dd/MM/yyyy'}}</li>
													<li class="pl-3 pr-3"><b>Visualizações:</b> {{anuncio.visualizacoes}}</li>
												</ul>
											</div>
											<!-- Button -->
											<div class="pricing-button pb-4">
												<button type="button" class="btn btn-lg btn-primary w-75 backAzulServant">Editar</button>
											</div>
										</div>
									</div>

								</div>
							</div>
						</div>
					</div>

					<div ng-show="tab == 1">
						<h2>Respostas</h2>

						<div>
							<div ng-click="detalharRespostasSolicitacaoOrcamento(true); respostasOrcamentoClicada = !respostasOrcamentoClicada" class="pointer">
								<h3 class="titleSession">
									<i class="fa" style="color: #0e2c60" ng-class="{'fa-plus-square':!respostasOrcamentoClicada, 'fa-minus-square':respostasOrcamentoClicada }"></i> <i> Resposta Solicitação de Orçamento: </i> <b ng-class="{'maiorZero': page.pendencias.respostasOrcamento > 0}">{{page.pendencias.respostasOrcamento}}</b>
								</h3>
							</div>
							<div infinite-scroll='detalharRespostasSolicitacaoOrcamento()' infinite-scroll-distance='2'>
								<div ng-if="respostasOrcamentoClicada">
									<ol class="chat" style="overflow-y: scroll; height: 200px;">
										<div ng-repeat='valor in page.respostasSolicitacaoOrcamento'>
											<hr />
											<h2>{{valor.tituloAnuncio}}</h2>
											<li class="other">
												<div class="msg">
													<p>{{valor.pedido}}</p>
													<time>{{valor.dataSolicitacao | date: 'HH:mm:ss dd/MM/yyyy'}}</time>
												</div>
											</li>
											<li class="self">
												<div class="msg">
													<p>{{valor.resposta}}</p>
													<time>{{valor.dataResposta | date: 'HH:mm:ss dd/MM/yyy'}} - {{valor.tituloAnuncio}}</time>
												</div>
											</li>

										</div>
									</ol>
									<hr />
								</div>
								<div>
									<h3 class="titleSession">
										<i class="fa" style="color: #0e2c60" ng-class="{'fa-plus-square':!respostasOrcamentoClicada, 'fa-minus-square':respostasOrcamentoClicada }"></i> <i> Resposta Solicitação de Serviço: <b ng-class="{'maiorZero': page.pendencias.respostaServicosAceitos > 0}">{{page.pendencias.respostaServicosAceitos}}</b>
									</h3>
								</div>
							</div>
						</div>
						<hr />
						<h2>Negócios Pendentes</h2>
						<div>
							<div ng-click="detalheServicosPendentes(); servicosClicado = !servicosClicados">
								<h3 class="pointer">
									<i class="fa" style="color: #0e2c60" ng-class="{'fa-plus-square':!servicosClicado, 'fa-minus-square':servicosClicado }"></i> <i>Solicitações de Serviço: <b ng-class="{'maiorZero': page.pendencias.solicitacoesServico > 0}">{{page.pendencias.solicitacoesServico}}</b></i>
								</h3>
							</div>
							<div ng-show="servicosClicado">
								<div ng-repeat="detalhe in  page.pendencias.solicitacoesPendentes">
									<b>{{detalhe.nomeUsuario}}</b> Data : {{detalhe.dataSolicitacao | date: 'dd/MM/yyyy HH:mm:ss'}}
									<button type="button" class="btnAzul" ng-click="avaliarSolicitacaoNegocio({aceita: true, id: detalhe.id})">Aceitar</button>
									<button type="button" class="btnLaranja" ng-click="avaliarSolicitacaoNegocio({aceita: false, id: detalhe.id})">Recusar</button>
								</div>
							</div>
						</div>

						<div>
							<div ng-click="detalheOrcamentosPendentes(); orcamentoClicado = !orcamentoClicado">
								<h3 class="pointer">
									<i class="fa" style="color: #0e2c60" ng-class="{'fa-plus-square':!orcamentoClicado , 'fa-minus-square':orcamentoClicado }"></i> <i>Solicitações de Orçamento: </i><a ng-class="{'maiorZero': page.pendencias.solicitacoesOrcamento > 0}">{{page.pendencias.solicitacoesOrcamento}}</a>
								</h3>
							</div>
							<div ng-show="orcamentoClicado">
								<div ng-repeat="detalhe in  page.pendencias.orcamentosPendentes">
									<h3>
										Solicitação de Orçamento Feita por <b>{{detalhe.nomeUsuario}}</b>, Data : {{detalhe.dataSolicitacao | date: 'dd/MM/yyyy HH:mm:ss'}}
									</h3>
									<p>Pedido:</p>
									<i>
										<div class="semcss" ng-bind-html="detalhe.mensagemCliente"></div>
									</i>
									<div class="form-group">
										<ng-quill-editor ng-model="detalhe.resposta" toolbar="true" link-tooltip="true" image-tooltip="true" toolbar-entries="fonte size bold list bullet italic underline strike align color background link image" editor-required="true" required="true" error-class="input-error"></ng-quill-editor>
									</div>
									<button type="button" class="btnAzul" ng-click="detalhe.aceita = true; responderSolicitacaoOrcamento(detalhe)">Responder</button>
									<button type="button" class="btnLaranja" ng-click="detalhe.aceita = false; responderSolicitacaoOrcamento(detalhe)">Ignorar</button>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</form>
	</div>
</div>